Application: gvSIG desktop - gvSIG bugs #1362
Does not persist the union of three tables
11/08/2012 10:59 AM - Vicent Domenech

Status: Won't fix % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Document table

Target version:

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2057 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

Open gvSIG

New table

Add table rrline.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/rrline.dbf.zip)

Add table rrline_filipinas.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/rrline_filipinas.dbf.zip)
Add table rrline_japon.dbf (http://downloads.gvsig.org/download/geodata/tables/DBF/rrline_japon.dbf.zip)
Table, create join

Choose a data store as "rrline.dbf" and click Next

Choose the second data store as "rrline_filifinas.dbf and click Next

Choose as key of first table "rrintype", the key of second table "rrintype”, type of prefix for the first table: 1, type of prefix for the second
table: 2 and "userld" as the attribute to join. Next and finish.

Now we see the userld added to the table rrline.dbf

Table, create join

Choose a data store as "rrline.dbf" and click Next

Choose the second data store as "rrline_japon.dbf and click Next

Choose as key of first table "rrintype", the key of second table "rrintype" type of prefix for the first table: 12, type of prefix for the
second table: 3 and "userld" as the attribute to join. Next and finish.

Now we see the second "userld" added to the table rrline.dbf

Save the project

Close gvSIG

Open gvSIG

Load last gvSIG project

A warning message appears: "Can't perform action 'application-project-open'.

History

#1 - 12/07/2012 01:46 PM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-rc1 to 2.0.0-final

#2 - 12/12/2012 11:14 PM - Manuel Madrid
- Target version deleted (2.0.0-final)

#3 - 01/03/2014 08:55 AM - Juan Lucas Dominguez

El problema es que al despersistir la JoinTransform se necesita acceso al store con las transformaciones anteriores aplicadas, lo cual no ocurre y se
produce un error con el nombre de los campos disponibles. En este momento no veo modo de arreglarlo sin correr el riesgo de "dafos colaterales".
http://downloads.gvsig.org/download/geodata/tables/DBF/rrline.dbf.zip
http://downloads.gvsig.org/download/geodata/tables/DBF/rrline_filipinas.dbf.zip
http://downloads.gvsig.org/download/geodata/tables/DBF/rrline_japon.dbf.zip

El problema empieza en esta lionea (método initialize de JoinTransform):

EditableFeature Type editableFeatureType = this.getFeatureStore().getDefaultFeature Type().getEditable();

Ahi deberia tener los campos de un store ya transformado, pero al despersistir, eso no es asi.

#4 - 01/13/2014 01:37 PM - Alvaro Anguix
- Assignee set to Joaquin del Cerro Murciano

#5 - 01/16/2014 01:11 PM - Alvaro Anguix
- Assignee changed from Joaquin del Cerro Murciano to Juan Lucas Dominguez

- Target version set to 2.1.0-2219-testing

#6 - 02/17/2014 08:40 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2219-testing to 2.1.0-2221-testing

#7 - 02/28/2014 02:56 PM - Alvaro Anguix
- Target version changed from 2.1.0-2221-testing to 2.2.0-2311-rc2

#8 - 04/04/2014 10:34 AM - Alvaro Anguix
- Assignee deleted (Juan Lucas Dominguez)

#9 - 01/28/2015 12:05 PM - Alvaro Anguix
- Target version deleted (2.2.0-2311-rc2)

#10 - 03/04/2020 12:17 PM - Alvaro Anguix
- Status changed from New to Won't fix

05/11/2024

22



